## streamtuner2 2.1.9

=== Makefile ===
# Requires 
# · http://fossil.include-once.org/versionnum/
# · http://fossil.include-once.org/xpm/

SHELL   := /bin/bash #(for brace expansion)
NAME    := streamtuner2
VERSION := $(shell version get:plugin st2.py || echo 2.1dev)
DEST    := /usr/share/streamtuner2
INST    := install -m 644
PACK    := xpm
DEPS    := -n $(NAME) -d python -d python-pyquery -d python-gtk2 -d python-requests -d python-keybinder
DEPS_A  := -n $(NAME) -d pygtk -d python2 -d python2-cssselect -d python2-keybinder2 -d python2-lxml -d python2-pillow -d python2-pyquery -d python2-xdg -d python2-requests --provides streamtuner-python
OPTS    := -s src -u packfile,man,fixperms -f --prefix=$(DEST) --deb-compression=xz --rpm-compression=xz --exe-autoextract

# targets
.PHONY:	bin
all:	gtk3 #(most used)
pack:	all ver docs xpm src
gtk3:	gtk3.xml.gz
zip:	pyz
print-%:
	@echo $*=$($*)


# Convert between internal GtkBuilder-gzipped file and uncompressed xml
gtk3.xml.gz: gtk3.xml
	gzip -c9 < gtk3.xml > gtk3.xml.gz
glade:
	gzip -dc > gtk3.xml < gtk3.xml.gz
	glade gtk3.xml 2>/dev/null
	gzip -c9 < gtk3.xml > gtk3.xml.gz

# Prepare packaging
docs:
ver:	# copy `version:` info
	version get:plugin st2.py write:control PKG-INFO
clean:
	rm *.pyc */*.pyc
	rm -r __pycache__ */__pycache__

#-- bundles
xpm: deb pyz tar rpm exe
deb:
	$(PACK) -t $@ $(OPTS) $(DEPS) -p "$(NAME)-VERSION.deb" st2.py
rpm:
	$(PACK) -t $@ $(OPTS) $(DEPS) -p "$(NAME)-VERSION.rpm" st2.py
tar:
	$(PACK) -t $@ $(OPTS) $(DEPS) -p "$(NAME)-VERSION.bin.txz" st2.py
exe:
	$(PACK) -t $@ $(OPTS) $(DEPS) -p "$(NAME)-VERSION.exe" st2.py
arch:
	$(PACK) -t $@ $(OPTS) $(DEPS_A) -p "$(NAME)-VERSION.arch.txz" st2.py
pyz:
        #@BUG: relative package references leave a /tmp/doc/ folder
	$(PACK) -u packfile -s src -t zip --zip-shebang "/usr/bin/env python"	\
		-f -p "$(NAME)-$(VERSION).pyz" --prefix=./  .zip.py st2.py
src:
	cd .. && pax -wvJf streamtuner2/streamtuner2-$(VERSION).src.txz \
		streamtuner2/*.{py,png,desktop} streamtuner2/channels/*.{py,png} \
		streamtuner2/{bundle/,contrib/,help/,gtk,NEWS,READ,PACK,PKG,CRED,Make,bin,.zip}*

# test .deb contents
check:
	dpkg-deb -c streamtuner2*deb
	dpkg-deb -I streamtuner2*deb
	rpm -qpil *rpm

# manual installation
install:
	mkdir	-p				$(DEST)/channels
	mkdir	-p				/usr/share/doc/streamtuner2/help/img
	install -m 755		bin		/usr/bin/streamtuner2
	$(INST)		*py		-t $(DEST)
	$(INST)		gtk3*		-t $(DEST)
	$(INST)		channels/*py	-t $(DEST)/channels
	$(INST)		help/*page	-t /usr/share/doc/streamtuner2/help
	$(INST)		help/img/*	-t /usr/share/doc/streamtuner2/help/img
	$(INST)		CREDITS		-t $(DEST)
	$(INST)		README		-t /usr/share/doc/streamtuner2
	$(INST)		*.desktop	-t /usr/share/applications/
	$(INST)		icon.png	/usr/share/pixmaps/streamtuner2.png
	$(INST)		help/str*2.1	-t /usr/share/man/man1/

# start locally
st2: run
run:
	#MALLOC_CHECK_=2 PYTHONVERBOSE=2
	python -B  ./st2.py -D  -e dev_faulthandler

yelp:
	yelp help/index.page 2>/dev/null &

## streamtuner2 2.0.8

=== debian/changelog ===
streamtuner2 (2.0.8-5) unstable; urgency=low

  * debian/control:
    + Add music player packages to Suggests.
    + Change Maintinaer to Debian Multimedia Team.
    + Add python and python-support to Build-Depends. (Closes: #633558)
    + Switch to dh_python2.
  * Bump Standards-Version to 3.9.2

 -- TANIGUCHI Takaki <takaki@debian.org>  Fri, 15 Jul 2011 11:04:33 +0900

streamtuner2 (2.0.8-4) unstable; urgency=low

  * debian/watch: update URL.
  * debian/copyright: Rewrite in DEP-5 format. 
  * debian/control:
    + Add imagemagick to Build-Depends.
    + Update Homepage URL.
  * debian/rules: Install xpm icon.

 -- TANIGUCHI Takaki <takaki@debian.org>  Tue, 05 Apr 2011 20:41:26 +0900

streamtuner2 (2.0.8-3) unstable; urgency=low

  * debian/control debian/copyright: Oops, revert degrated. 

 -- TANIGUCHI Takaki <takaki@debian.org>  Sat, 29 Jan 2011 13:35:00 +0900

streamtuner2 (2.0.8-2) unstable; urgency=low

  * debian/install: instead of rules target. 

 -- TANIGUCHI Takaki <takaki@debian.org>  Sat, 29 Jan 2011 13:08:44 +0900

streamtuner2 (2.0.8-1) unstable; urgency=low

  * Initial release (Closes: #591452)

 -- TANIGUCHI Takaki <takaki@debian.org>  Mon, 15 Nov 2010 09:58:12 +0900

=== debian/control ===
Source: streamtuner2
Section: sound
Priority: extra
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: TANIGUCHI Takaki <takaki@debian.org>
Build-Depends: debhelper (>= 7.0.50~),
	imagemagick,
	python-all,
Standards-Version: 3.9.2
Homepage: http://sf.net/projects/streamtuner2/
#Vcs-Git: git://git.debian.org/collab-maint/streamtuner2.git
#Vcs-Browser: http://git.debian.org/?p=collab-maint/streamtuner2.git;a=summary

Package: streamtuner2
Architecture: all
Depends: ${python:Depends}, ${misc:Depends},
	python-lxml,
	python-imaging,
	python-pyquery,
	python-keybinder,
	python-gtk2,
	python-glade2,
Suggests: audacious, vlc, totem
Description: Browser for Internet Radio Stations
 streamtuner2 is a browser for radio station directories. It can fetch lists
 from SHOUTcast, Xiph.org, Live365, Jamendo, DMOZ, basic.ch, Punkcast.
 And it lists stream entries by category or genre. It reuses existing audio
 players, and recording is delegated to streamripper.
 .
 It mimics the original streamtuner 0.99.99, but is easier to extend because
 it's written entirely in Python. It's already in a stable and useable form.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@ --with python2

override_dh_install:
	dh_install
	convert -resize 32x32 logo.png \
		$(CURDIR)/debian/streamtuner2/usr/share/pixmaps/streamtuner2.xpm

=== debian/watch ===
version=3
http://sf.net/streamtuner2/ streamtuner2-(.*)\.src\.tgz

## streamtuner2 2.1.3

=== debian/changelog ===
streamtuner2 (2.1.3-1) unstable; urgency=medium

  * Imported Upstream version 2.1.3

 -- TANIGUCHI Takaki <takaki@debian.org>  Mon, 18 Aug 2014 00:02:02 +0900

streamtuner2 (2.1.2-1) unstable; urgency=medium

  * Imported Upstream version 2.1.2

 -- TANIGUCHI Takaki <takaki@debian.org>  Sat, 09 Aug 2014 19:48:15 +0900

streamtuner2 (2.1.1-1) unstable; urgency=medium

  * Imported Upstream version 2.1.1

 -- TANIGUCHI Takaki <takaki@debian.org>  Fri, 06 Jun 2014 15:16:33 +0900

streamtuner2 (2.1.0-1) unstable; urgency=low

  * Imported Upstream version 2.1.0
  * debian/patches/00_fixman: Refresh.
  * debian/install: Change UI definition filename. 
  * debian/control: Add python-requests to Depend.

 -- TANIGUCHI Takaki <takaki@debian.org>  Tue, 13 May 2014 22:33:08 +0900

streamtuner2 (2.0.9-2) unstable; urgency=medium

  * Install glade's config file.

 -- TANIGUCHI Takaki <takaki@debian.org>  Mon, 10 Mar 2014 10:03:28 +0900

streamtuner2 (2.0.9-1) unstable; urgency=medium

  * Imported Upstream version 2.0.9
  * Bump Standards-Version to 3.9.5.
  * debian/watch: Change the filename pattern (tgz -> txz).

 -- TANIGUCHI Takaki <takaki@debian.org>  Thu, 06 Mar 2014 18:39:32 +0900

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: debhelper (>= 7.0.50~),
 	imagemagick,
 	python-all,
-Standards-Version: 3.9.2
+Standards-Version: 3.9.5
 Homepage: http://sf.net/projects/streamtuner2/
 #Vcs-Git: git://git.debian.org/collab-maint/streamtuner2.git
 #Vcs-Browser: http://git.debian.org/?p=collab-maint/streamtuner2.git;a=summary
@@ -20,6 +20,7 @@
 	python-keybinder,
 	python-gtk2,
 	python-glade2,
+	python-requests
 Suggests: audacious, vlc, totem
 Description: Browser for Internet Radio Stations
  streamtuner2 is a browser for radio station directories. It can fetch lists

## streamtuner2 2.1.9

=== debian/changelog ===
streamtuner2 (2.1.9-1) unstable; urgency=medium

  * Imported Upstream version 2.1.9
    +  Fix "Find does not work" (Closes: #761475)
  * debian/patches: Remove merged patches..
  * debian/version: Upgrade to 9.
  * debian/rules: Ignore Makefile actions.
  * debian/install: install bundle/*.py. (Closes: #761476)
  * debian/control:
    - Bump Stnadards-Version 3.9.6.
    - Add dh-python to Build-Depends.

 -- TANIGUCHI Takaki <takaki@debian.org>  Wed, 25 Nov 2015 16:05:28 +0900

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,12 @@
 Priority: extra
 Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders: TANIGUCHI Takaki <takaki@debian.org>
-Build-Depends: debhelper (>= 7.0.50~),
+Build-Depends: debhelper (>= 9),
 	imagemagick,
 	python-all,
-Standards-Version: 3.9.5
+	dh-exec,
+	dh-python
+Standards-Version: 3.9.6
 Homepage: http://sf.net/projects/streamtuner2/
 #Vcs-Git: git://git.debian.org/collab-maint/streamtuner2.git
 #Vcs-Browser: http://git.debian.org/?p=collab-maint/streamtuner2.git;a=summary

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@ --with python2

override_dh_auto_clean:
override_dh_auto_build:
override_dh_auto_test:
override_dh_auto_install:

override_dh_install:
	dh_install
	convert -resize 32x32 icon.png \
		$(CURDIR)/debian/streamtuner2/usr/share/pixmaps/streamtuner2.xpm

=== debian/watch ===
version=3
http://sf.net/streamtuner2/ streamtuner2-(.*)\.src\.txz

## streamtuner2 2.2.0

=== debian/changelog ===
streamtuner2 (2.2.0-2) unstable; urgency=medium

  * debian/rules: Add exec permission to st2.py.

 -- TANIGUCHI Takaki <takaki@debian.org>  Thu, 02 Feb 2017 20:01:09 +0900

streamtuner2 (2.2.0-1) unstable; urgency=medium

  * debian/ctonrol: update vcs link
    + Bump debian policy to 3.9.8
  * New upstream version 2.2.0
  * debian/install: Skip deleted files.
  * debian/docs: Skip deleted file.
  * debian/menu: Deleted.

 -- TANIGUCHI Takaki <takaki@debian.org>  Thu, 02 Feb 2017 19:34:31 +0900

=== debian/control ===
--- 
+++ 
@@ -8,10 +8,10 @@
 	python-all,
 	dh-exec,
 	dh-python
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://sf.net/projects/streamtuner2/
-#Vcs-Git: git://git.debian.org/collab-maint/streamtuner2.git
-#Vcs-Browser: http://git.debian.org/?p=collab-maint/streamtuner2.git;a=summary
+Vcs-Git: git://anonscm.debian.org/pkg-multimedia/streamtuner2.git/
+Vcs-Browser: http://anonscm.debian.org/cgit/pkg-multimedia/streamtuner2.git/
 
 Package: streamtuner2
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -11,5 +11,6 @@
 
 override_dh_install:
 	dh_install
+	chmod +x $(CURDIR)/debian/streamtuner2/usr/share/streamtuner2/st2.py
 	convert -resize 32x32 icon.png \
 		$(CURDIR)/debian/streamtuner2/usr/share/pixmaps/streamtuner2.xpm

## streamtuner2 2.2.0+dfsg

=== Makefile ===
--- 
+++ 
@@ -47,7 +47,9 @@
 tar:
 	$(PACK) -t $@ $(OPTS) $(DEPS) -p "$(NAME)-VERSION.bin.txz" st2.py
 exe:
-	$(PACK) -t $@ $(OPTS) $(DEPS) -p "$(NAME)-VERSION.exe" st2.py
+	$(PACK) -t $@ $(OPTS) $(DEPS) -p "$(NAME)-VERSION.exe" \
+	--exe-exec 'usr\share\streamtuner2\dev\install_python_gtk.bat' \
+	--exe-dest c:/ --version $(VERSION) .win.pack st2.py
 arch:
 	$(PACK) -t $@ $(OPTS) $(DEPS_A) -p "$(NAME)-VERSION.arch.txz" st2.py
 pyz:
@@ -57,13 +59,16 @@
 src:
 	cd .. && pax -wvJf streamtuner2/streamtuner2-$(VERSION).src.txz \
 		streamtuner2/*.{py,png,desktop} streamtuner2/channels/*.{py,png} \
-		streamtuner2/{bundle/,contrib/,help/,gtk,NEWS,READ,PACK,PKG,CRED,Make,bin,.zip}*
+		streamtuner2/{bundle/,contrib/,help/,gtk3.xml.gz,NEWS,READ,PACK,PKG,CRED,Make,bin,.zip}*
 
 # test .deb contents
 check:
 	dpkg-deb -c streamtuner2*deb
 	dpkg-deb -I streamtuner2*deb
 	rpm -qpil *rpm
+	
+upload:
+	scp *.{deb,rpm,exe,pyz,arch.txz,txz} io:st2/
 
 # manual installation
 install:

=== debian/changelog ===
streamtuner2 (2.2.0+dfsg-1) unstable; urgency=medium

  * Migrate to Python3
    - Use python3-pil (Closes: #866483)
    - Replace python-keybinder, python-gtk2 and python-glade from Depends
      and add python3-gi to Depends. (Closes: #886198)
  * debian/compat: Update to 11.
  * debian/control: Change Priority to optional.
  * Move Vcs-* to salsa.debian.org.
  * debian/control: Drop dh-exec from B-D.
  * New upstream version 2.2.0+dfsg
  * debian/watch: Add dversionmangle option.
  * debian/rules: Set shebang manually.

 -- TANIGUCHI Takaki <takaki@debian.org>  Fri, 02 Feb 2018 00:40:40 +0900

=== debian/control ===
Source: streamtuner2
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: TANIGUCHI Takaki <takaki@debian.org>
Build-Depends: debhelper (>= 11),
	imagemagick,
	python3-all,
	dh-python
Standards-Version: 4.1.3
Homepage: http://sf.net/projects/streamtuner2/
Vcs-Git: https://salsa.debian.org/multimedia-team/streamtuner2.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/streamtuner2

Package: streamtuner2
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends},
	python3,
	python3-lxml,
	python3-pil,
	python3-pyquery,
	python3-gi,
	python3-requests
Suggests: audacious, vlc, totem
Description: Browser for Internet Radio Stations
 streamtuner2 is a browser for radio station directories. It can fetch lists
 from SHOUTcast, Xiph.org, Live365, Jamendo, DMOZ, basic.ch, Punkcast.
 And it lists stream entries by category or genre. It reuses existing audio
 players, and recording is delegated to streamripper.
 .
 It mimics the original streamtuner 0.99.99, but is easier to extend because
 it's written entirely in Python. It's already in a stable and useable form.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@ --with python3

override_dh_auto_clean:
override_dh_auto_build:
override_dh_auto_test:
override_dh_auto_install:

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3


override_dh_install:
	dh_install
	cp bin $(CURDIR)/debian/streamtuner2/usr/bin/streamtuner2
	cp icon.png $(CURDIR)/debian/streamtuner2/usr/share/pixmaps/streamtuner2.png
	chmod +x $(CURDIR)/debian/streamtuner2/usr/share/streamtuner2/st2.py
	convert -resize 32x32 icon.png \
		$(CURDIR)/debian/streamtuner2/usr/share/pixmaps/streamtuner2.xpm

=== debian/watch ===
version=3
opts="dversionmangle=s/\+dfsg\d*$//" \
http://sf.net/streamtuner2/ streamtuner2-(.*)\.src\.txz

## streamtuner2 2.2.1+dfsg

=== Makefile ===
--- 
+++ 
@@ -10,7 +10,7 @@
 PACK    := xpm
 DEPS    := -n $(NAME) -d python -d python-pyquery -d python-gtk2 -d python-requests -d python-keybinder
 DEPS_A  := -n $(NAME) -d pygtk -d python2 -d python2-cssselect -d python2-keybinder2 -d python2-lxml -d python2-pillow -d python2-pyquery -d python2-xdg -d python2-requests --provides streamtuner-python
-OPTS    := -s src -u packfile,man,fixperms -f --prefix=$(DEST) --deb-compression=xz --rpm-compression=xz --exe-autoextract
+OPTS    := -s src -u packfile,fixperms -f --prefix=$(DEST) --deb-compression=xz --rpm-compression=xz --exe-autoextract
 
 # targets
 .PHONY:	bin
@@ -52,6 +52,8 @@
 	--exe-dest c:/ --version $(VERSION) .win.pack st2.py
 arch:
 	$(PACK) -t $@ $(OPTS) $(DEPS_A) -p "$(NAME)-VERSION.arch.txz" st2.py
+osxpkg:
+	$(PACK) -t $@ $(OPTS) $(DEPS_A) -p "$(NAME)-VERSION.osxz" st2.py
 pyz:
         #@BUG: relative package references leave a /tmp/doc/ folder
 	$(PACK) -u packfile -s src -t zip --zip-shebang "/usr/bin/env python"	\

=== debian/changelog ===
streamtuner2 (2.2.1+dfsg-2~mx15+1) mx; urgency=medium

  * Rebuild for MX 15.
  * Revert to debhelper compat 10.

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 27 Jan 2019 16:56:44 -0800

streamtuner2 (2.2.1+dfsg-2) unstable; urgency=medium

  * Remove useless try.py (Closes: #916357)

 -- TANIGUCHI Takaki <takaki@debian.org>  Sat, 15 Dec 2018 19:30:23 +0900

streamtuner2 (2.2.1+dfsg-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/changelog: Remove trailing whitespaces

  [ Felipe Sateler ]
  * Change maintainer address to debian-multimedia@lists.debian.org

  [ Ondřej Nový ]
  * d/watch: Use https protocol

  [ TANIGUCHI Takaki ]
  * d/watch: Add dfsg suffix
  * New upstream version 2.2.1+dfsg
  * Add python3-distutils to Depends (Closes: #912693, #900351)
  * Bump Stanrads-Version to 4.2.1

 -- TANIGUCHI Takaki <takaki@debian.org>  Thu, 13 Dec 2018 11:32:23 +0900

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: streamtuner2
 Section: sound
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: TANIGUCHI Takaki <takaki@debian.org>
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper (>= 10),
 	imagemagick,
 	python3-all,
 	dh-python
-Standards-Version: 4.1.3
+Standards-Version: 4.2.1
 Homepage: http://sf.net/projects/streamtuner2/
 Vcs-Git: https://salsa.debian.org/multimedia-team/streamtuner2.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/streamtuner2
@@ -20,7 +21,8 @@
 	python3-pil,
 	python3-pyquery,
 	python3-gi,
-	python3-requests
+	python3-requests,
+	python3-distutils | python3-distutils-extra
 Suggests: audacious, vlc, totem
 Description: Browser for Internet Radio Stations
  streamtuner2 is a browser for radio station directories. It can fetch lists

## streamtuner2 2.2.2+dfsg

=== debian/changelog ===
streamtuner2 (2.2.2+dfsg-2ubuntu1) noble; urgency=medium

  * Drop Dependency on python3-distutils.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 10 Mar 2024 18:54:13 +0100

streamtuner2 (2.2.2+dfsg-2) unstable; urgency=medium

  * d/patches/0001-fix-python3-incompatible-syntax.patch: Add to fix error

 -- TANIGUCHI Takaki <takaki@debian.org>  Sat, 19 Mar 2022 18:51:23 +0900

streamtuner2 (2.2.2+dfsg-1) unstable; urgency=medium

  * Bump debhelper from old 11 to 12.
  * Set upstream metadata fields: Archive.
  * d/salsa-ci.yml: Add CI config file.
  * New upstream version 2.2.2+dfsg
  * Bump Standards-Version to 4.6.0
  * d/copyright: Remove a superfluous entry
  * d/control: Change moved file path.
  * d/missing-sources/highlight.js: Add source file for hilight.js

 -- TANIGUCHI Takaki <takaki@debian.org>  Sat, 19 Mar 2022 17:25:01 +0900

=== debian/rules ===
--- 
+++ 
@@ -15,6 +15,7 @@
 
 override_dh_install:
 	dh_install
+	rm -f $(CURDIR)/debian/streamtuner2/usr/share/streamtuner2/try.py
 	cp bin $(CURDIR)/debian/streamtuner2/usr/bin/streamtuner2
 	cp icon.png $(CURDIR)/debian/streamtuner2/usr/share/pixmaps/streamtuner2.png
 	chmod +x $(CURDIR)/debian/streamtuner2/usr/share/streamtuner2/st2.py
